:root {
    --color-primary: #FE6506;
    --color-secondary: #1c2e4a;
    --color-tertiary: #cc0000;

    --transition: .5s;
}

html,
body {
    scroll-behavior: smooth;
}
a {
    color: inherit;
}
a:hover {
    color: var(--color-primary)
}

.ws-paragraph h2 {
    color: var(--color-tertiary);
    font-weight: 500;
}
.ws-paragraph h3 {
    font-size: 20px;
}

.wrapper {
    width: 100%;
    margin: 0 auto;
}
.btn-backward {
    display: inline-block;
    margin-top: 3rem;
    padding: 1rem 3rem;
    border: solid thin var(--color-primary);
    border-radius: calc(1em + 1rem);
    color: var(--color-primary);
    text-transform: uppercase;
}

.page-error {
    text-align: center;
    min-height: 50vh;
    display: flex;
    align-items: center;
}

.slogan {
    text-align: center;
    margin-top: 2em;
    color: var(--color-primary);
    font-size: 1.8em;
    font-weight: 300;
    font-style: italic;
}

.x-block {
    margin-top: 5em
}
.x-title {
    font-size: 3em;
    color: var(--color-tertiary);
    text-align: center;
    text-transform: capitalize;
}
.x-cover {
    margin-top: 2em;
    text-align: center;
}
.x-cover img {
    display: inline-table;
    max-height: 80vh;
}
.x-summary {
    font-size: 1.2em;
    font-weight: 600;
    margin-top: 2em;
}
.x-content {
    margin-top: 4em;
}
.x-other {
    border-top: 3px double #d9d9d9;
    padding-top: 2em;
}
.x-other-title {
    font-size: 2em;
    color: var(--color-tertiary);
}
.x-other .service-item {
    margin-top: 1.5em
}


.about-block h3 {
    text-align: left;
}

.about-block img {
    aspect-ratio: 1/1;
    object-fit: cover;
    object-position: center;
}

.about-core {
    padding: 6em 0;
    background: linear-gradient(to left, var(--black-alpha), color-mix(in srgb, var(--color-primary) 20%, transparent), var(--black-alpha));
}
.about-core + .w3l_footer {
    margin-top: 0;
}
.about-core p {
    text-align: center;
    font-size: 1.5em;
}

.service-item {
    margin-top: 4em;
}
.service-cover {
    box-shadow: -2px 2px 2px var(--black-alpha-20);
}
.service-title {
    font-size: 1.5em;
    font-weight: 600;
    margin-top: 1em;
    color: var(--color-tertiary)
}
.service-item:hover .service-title {
    color: var(--color-primary)
}
.service-props {
    padding: 0 1em;
}
.service-summary {
    margin-top: .5em;
    overflow: hidden;
    display: -webkit-box;;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}

.project-item {
    margin-top: 30px
}
.project-cover {
    position: relative;
}
.project-title {
    width: 100%;
    background: linear-gradient(to top, var(--black-alpha-50), var(--black-alpha));
    font-size: 1.4em;
    color: #fff;
    padding: 1em;
    position: absolute;
    left: 0;
    bottom: 0;
    transition: var(--transition);
}
.project-item:hover .project-title {
    height: 100%;
    background: color-mix(in srgb, var(--color-primary) 40%, var(--black-alpha));
    padding-block: 2em;
}
/*.project-photo {*/
/*    margin-top: 30px*/
/*}*/
.project-photo img {
    width: 100%;
    /*aspect-ratio: 3/2;*/
    /*object-fit: cover;*/
    /*object-position: center;*/
}

.project-photos {
    column-count: 3;
    column-gap: 10px
}
.project-photos > :not(:first-child) {
    margin-top: 10px;
}
.post-item {
    margin-top: 3em;
    display: block;
}
.post-title {
    font-size: 1.3em;
    font-weight: bold;
    color: var(--color-tertiary);
}
.post-summary {
    margin-top: 1em;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.x-paging {
    display: flex;
    justify-content: center;
    column-gap: 10px;
    margin-top: 5em;
}
.x-paging a {
    padding: 10px 20px;
    background: var(--black-alpha-10);
}
.x-paging a.active {
    background: var(--color-primary);
    color: #fff;
}

.w3-services-grid-info svg {
    width: 30px;
    height: 30px;
    fill: var(--color-primary);
}
.agileits-Amapos-map + * {
    margin-top: 0;
}

#contactMobile {
    --cm-color: var(--black-alpha-10);
    --cm-background: var(--white-alpha-80);
    --cm-transition: .3s ease-in-out;
    --cm-radius: calc(var(--cm-bar-height)/2);
    --cm-bar-height: 6rem;
    --cm-icon-size: 4rem;
    --cm-icon-color: var(--color-primary);
    --cm-button-color: #fafafa;
    --cm-button-background: var(--color-primary);
    /*width: 100%;*/
    max-width: 36rem;
    position: fixed;
    left: 50%;
    bottom: calc(-1 * var(--cm-bar-height));
    z-index: 9;
    transform: translateX(-50%);
    transition: var(--cm-transition);
}
#contactMobile[status=show] {
    bottom: .5rem;
}
#contactMobile a:hover,
#contactMobile a:active {
    color: inherit;
}
#contactMobile .box {
    background: var(--cm-background);
    border-radius: var(--cm-radius);
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(20px);
    transition: var(--cm-transition);
    box-shadow: 0 0 5px rgba(0, 0, 0, .15);
}
#contactMobile .icon {
    width: calc(1.2 * var(--cm-icon-size));
    height: var(--cm-icon-size);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    align-content: center;
}
#contactMobile .icon svg {
    width: 55%;
    height: 55%;
    fill: var(--cm-icon-color);
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    50% {
        transform: rotate(20deg);
    }
    100% {
        transform: rotate(-20deg);
    }
}
#contactMobile .icon.phone svg {
    animation: spin .5s infinite;
    animation-direction: alternate;
}

#contactMobile .icon label {
    display: block;
    width: 100%;
    line-height: 1;
    white-space: nowrap;
    margin-top: .5em;
    text-align: center;
    font-size: 1rem;
    letter-spacing: .03em;
    color: #666
}
#contactMobile .bar {
    height: var(--cm-bar-height);
    padding: 0 2rem 0 calc((var(--cm-bar-height) - var(--cm-icon-size)) / 2);
    display: flex;
    align-items: center;
    justify-content: flex-end;
    column-gap: 2rem;
    padding-inline: 3rem;
}
#contactMobile .btn-phone {
    height: var(--cm-icon-size);
    border-radius: calc(var(--cm-icon-size) / 2);
    background: var(--cm-button-background);
    color: var(--cm-button-color);
    padding: 0 1.5em;
    font-size: 1.4em;
    line-height: var(--cm-icon-size);
    vertical-align: middle;
    white-space: nowrap;
    margin-right: auto;
}

@media only screen and (max-width: 667px) {
    .about-block + .about-block {
        margin-top: 50px
    }
    .about-block h3 {
        margin-top: 10px;
        margin-bottom: 20px;
    }

    .post-title {
        margin-top: 1em;
    }
    .project-photos {
        column-count: 1
    }
    .copy-right {
        padding: 15px 0 90px 0
    }
	
	.w3ls_footer_grid_left p {
		font-size: 12px;
	}
	.Amapos-banner-top {
		aspect-ratio: 3/1.5
	}
}